# -v title
# -v right_root
# -v library_root
# -v link_stem
# -v back
# -v back_label
# -v creators_root
# -v about
# 
# -v page_bg
# -v table_bg
# -v headers_bg
# 

BEGIN {
  	 if (page_bg == "")
	   page_bg = "#bebebe";

	 if (table_bg == "")
	   table_bg = "#bebebe";

	 if (headers_bg == "")
	   headers_bg = "#bebebe";

         print "<table border bgcolor=\"" table_bg "\" width=\"100%\">";
         print "<caption><font color=\"#dedede\"><i>";
	 print title;
	 if (back != "")
	   {
	     if (back_label == "")
	       {
		 back_label = "BACK LABEL GOES HERE";
	       }
	     print "<p align=right><a target=\"_top\" href=\"" back "\"><small>" back_label "</small>";
	   }
	 print "</i></font></caption>";
       }
    
{
  print "<tr>";
  print "<td><font color=\"#000000\">";
  if (link_stem != "")
    {
      print "<a target=\"right\" href=\"" right_root "/" $1 "/" link_stem "-right.html\">" $1 "</a>";
    }
  else
    {
      print "<a target=\"right\" href=\"" right_root "/" $1 "-right.html\">" $1 "</a>";
    }
  if (about)
    {
      print "<a target=\"new_window\" href=\"" $2 "\"><small><i>about</i></small></a>";
    }
  if (creators_root != "")
    {
      print "<a target=\"_top\" href=\"" creators_root "/" $1 "/" "creator-index.html\"><small><i>creators</i></small></a>";
    }
  if (library_root != "")
    {
      print "<a target=\"display\" href=\"" library_root "/" $1 "/=README\"><small><code>=README</code></small></a>";
    }
  print "</font></td>";
  print "</tr>";
}
    
END {
      print "</table>"
    }

# tag: Tom Lord Sun Jan 27 04:19:58 2002 (web/left-table.awk)
#
